//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("ruido.cpp", Form4);
USEFORM("setup.cpp", Form10);
USEFORM("rotacion.cpp", Form5);
USEFORM("nuevo.cpp", Form2);
USEFORM("redimensiona.cpp", Form8);
USEFORM("win_dialogo.cpp", dialogo);
USEFORM("txtdialog.cpp", Form11);
USEFORM("compacidad.cpp", Form3);
USEFORM("captura_cam.cpp", Form12);
USEFORM("acerca.cpp", Form14);
USEFORM("cambialienzo.cpp", Form9);
USEFORM("histograma.cpp", histo_win);
USEFORM("main.cpp", Form1);
USEFORM("gradientes.cpp", Form7);
USEFORM("filtrousr.cpp", Form6);
USEFORM("fourier.cpp", Form13);
USEFORM("convertir.cpp", Form15);
//---------------------------------------------------------------------------
WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->Title = "T3kPaint";
		Application->CreateForm(__classid(TForm1), &Form1);
		Application->CreateForm(__classid(TForm2), &Form2);
		Application->CreateForm(__classid(Tdialogo), &dialogo);
		Application->CreateForm(__classid(Thisto_win), &histo_win);
		Application->CreateForm(__classid(TForm3), &Form3);
		Application->CreateForm(__classid(TForm4), &Form4);
		Application->CreateForm(__classid(TForm5), &Form5);
		Application->CreateForm(__classid(TForm6), &Form6);
		Application->CreateForm(__classid(TForm7), &Form7);
		Application->CreateForm(__classid(TForm8), &Form8);
		Application->CreateForm(__classid(TForm9), &Form9);
		Application->CreateForm(__classid(TForm10), &Form10);
		Application->CreateForm(__classid(TForm11), &Form11);
		Application->CreateForm(__classid(TForm12), &Form12);
		Application->CreateForm(__classid(TForm13), &Form13);
		Application->CreateForm(__classid(TForm14), &Form14);
		Application->CreateForm(__classid(TForm15), &Form15);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
